aboutsummaryrefslogtreecommitdiffstats
path: root/net/py-zsi/pkg-req
diff options
context:
space:
mode:
authorwjv <wjv@FreeBSD.org>2001-09-17 17:06:52 +0800
committerwjv <wjv@FreeBSD.org>2001-09-17 17:06:52 +0800
commit55e58ea21fb62c8a4551b279ee267d9268d36282 (patch)
tree12fcc20565fec0e9b858640886bbfd6e91ee80b3 /net/py-zsi/pkg-req
parentb8b3b09c9b2dba83a70b16d6b04bab7ee7d160ac (diff)
downloadfreebsd-ports-gnome-55e58ea21fb62c8a4551b279ee267d9268d36282.tar.gz
freebsd-ports-gnome-55e58ea21fb62c8a4551b279ee267d9268d36282.tar.zst
freebsd-ports-gnome-55e58ea21fb62c8a4551b279ee267d9268d36282.zip
Add py-zsi 1.1, a pure Python module that provides an
implementation of SOAP 1.1.
Diffstat (limited to 'net/py-zsi/pkg-req')
-rw-r--r--net/py-zsi/pkg-req17
1 files changed, 17 insertions, 0 deletions
diff --git a/net/py-zsi/pkg-req b/net/py-zsi/pkg-req
new file mode 100644
index 000000000000..082883370094
--- /dev/null
+++ b/net/py-zsi/pkg-req
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+PATH=$PATH:/usr/local/bin
+
+if [ "x$1" = "xINSTALL" -o "x$2" = "xINSTALL" ]; then
+ PYTHON_GT=`python -c 'import string, sys; \
+ print string.split(sys.version)[0] >= "2.0"'`
+ if [ "x${PYTHON_GT}" = "x1" ]; then
+ exit 0
+ else
+ echo "-----------------------------------------------------------"
+ echo "ZSI requires Python version 2.0 or greater -"
+ echo " please update your Python installation before proceeding."
+ echo "-----------------------------------------------------------"
+ exit 1
+ fi
+fi